shishi_keys_add(3)

NAME
shishi_keys_add - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_add(Shishi_keys * keys, Shishi_key * key);

ARGUMENTS

Shishi_keys * keys
    key set handle as allocated by shishi_keys().

Shishi_key * key
    key to be added to key set.

DESCRIPTION
Add a key to the key set. A deep copy of the key is stored, so changing key, or deallocating it, will not modify the value stored in the key set.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.